// long form
let firstName: Optional<String> = "Matthew"
let middleName: Optional<String> = "Frank"
let lastName: Optional<String> = "Fleming"
if
    case .some(let firstName) = firstName,
    case .some(let middleName) = middleName,
    case .some(let lastName) = lastName
{
    print(firstName + " " + middleName + " " + lastName)
}

// short form
let firstName2: String? = "Matthew"
let middleName2: String? = "Frank"
let lastName2: String? = "Fleming"
if
    let firstName2 = firstName2,
    let middleName2 = middleName2,
    let lastName2 = lastName2
{
    print(firstName2 + " " + middleName2 + " " + lastName2)
}
